routes/web.php
<?php
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\DashboardController;
use App\Http\Controllers\DashboardActiveController;
use App\Http\Controllers\SaleslogsController;
use App\Http\Controllers\ProfileController;
use App\Http\Controllers\TvDashboardController;
use App\Http\Controllers\UserController;
use App\Http\Controllers\SalesExportController;
use App\Http\Controllers\EmailingController;



/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    if (Auth::check()) {
        return redirect('dashboard');
    }
    else
        return view('auth.login');
});


Route::middleware(['auth'])->group(function () {
Route::get('/dashboard',[DashboardController::class, 'index'])->name('dashboard');
Route::post('/dashboard',[DashboardController::class, 'index'])->name('dashboard');
Route::get('/dashboard-active',[DashboardActiveController::class, 'index'])->name('dashboard-active');
Route::post('/dashboard-active',[DashboardActiveController::class, 'index'])->name('dashboard-active');
Route::get('/tv-dashboard',[TvDashboardController::class, 'index']);
Route::get('/dashboard/salesman/{sm_name}',[DashboardController::class, 'salesman_details'])->name('salesman-details');
Route::post('/dashboard/salesman/{sm_name}',[DashboardController::class, 'salesman_details'])->name('salesman-details');
Route::get('/sales',[SaleslogsController::class, 'index'])->name('saleslogs');
Route::get('/wholesales',[SaleslogsController::class, 'WholeSales'])->name('wholesaleslogs');

Route::get('/dashboard/{date_range}/{file_type}/{tab_type}/{pifs_check}',[SalesExportController::class, 'index'])->name('export');

Route::get('sales/{id}',[SaleslogsController::class, 'showdetails'])->name('sales-view');

Route::get('/profile',[ProfileController::class, 'index'])->name('profile');
Route::resource('/user', UserController::class);

Route::get('/userReport',[UserController::class,'userReportview']);
});

Route::get('/emailsend/{time_range}',[EmailingController::class, 'emailsend'])->name('emailsend');
Route::get('/testemailsend',[EmailingController::class, 'testemailsend'])->name('testemailsend');


//Route::get('/profile-page', function(){
//return view('profile-page');
//})->middleware(['auth'])->name('view.profile');


require __DIR__.'/auth.php';

resources/views/common/footer.blade.php
    <div class="slim-footer">
      <div class="container">
        <p>Copyright <?php echo date('Y'); ?> &copy; All Rights Reserved.</p>
      </div><!-- container -->
    </div><!-- slim-footer -->

    
    <script src="{{asset('public/app/lib/jquery/js/jquery.js')}}"></script>
    <script src="{{asset('public/app/lib/popper.js/js/popper.js')}}"></script>
    <script src="{{asset('public/app/lib/bootstrap/js/bootstrap.js')}}"></script>
    <script src="{{asset('public/app/lib/jquery.cookie/js/jquery.cookie.js')}}"></script>
    
    <script src="{{asset('public/app/js/slim.js')}}"></script>
    <script src="{{asset('js/custom.js')}}"></script>
    <script src="{{asset('public/app/lib/datatables/js/jquery.dataTables.js')}}"></script>
    <script src="{{asset('public/app/lib/datatables-responsive/js/dataTables.responsive.js')}}"></script>
    <script src="{{asset('public/app/lib/datatables/js/dataTables.buttons.min.js')}}"></script>
    <script src="{{asset('public/app/lib/datatables/js/jszip.min.js')}}"></script>
    <script src="{{asset('public/app/lib/datatables/js/buttons.html5.min.js')}}"></script>
    <script src="{{asset('public/app/lib/select2/js/select2.min.js')}}"></script>
    <script src="{{asset('public/app/lib/fullcalendar/js/moment.js')}}"></script>
    <script src="{{asset('public/app/lib/fullcalendar/js/fullcalendar.js')}}"></script>
    <script src="{{asset('js/better-dom.min.js')}}"></script>
    <script src="{{asset('js/better-dateinput-polyfill.js')}}"></script>


    <script type="text/javascript">
        var page_name = "{{ Route::currentRouteName() }}";
        markActiveNav(page_name);
    </script>

    </body>
</html>

resources/views/common/header.blade.php
<!DOCTYPE html>
<html lang="en">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <link rel="shortcut icon" type="image/x-icon" href="{{ asset('images/favicon.ico') }}">

    <!-- Twitter -->
    <meta name="twitter:site" content="@themepixels">
    <meta name="twitter:creator" content="@themepixels">
    <meta name="twitter:card" content="summary_large_image">
    <meta name="twitter:title" content="Slim">
    <meta name="twitter:description" content="Premium Quality and Responsive UI for Dashboard.">
    <meta name="twitter:image" content="http://themepixels.me/slim/img/slim-social.png">

    <!-- Facebook -->
    <meta property="og:url" content="http://themepixels.me/slim">
    <meta property="og:title" content="Slim">
    <meta property="og:description" content="Premium Quality and Responsive UI for Dashboard.">

    <meta property="og:image" content="http://themepixels.me/slim/img/slim-social.png">
    <meta property="og:image:secure_url" content="http://themepixels.me/slim/img/slim-social.png">
    <meta property="og:image:type" content="image/png">
    <meta property="og:image:width" content="1200">
    <meta property="og:image:height" content="600">

    <!-- Meta -->
    <meta name="description" content="Premium Quality and Responsive UI for Dashboard.">
    <meta name="author" content="ThemePixels">

    <title>AutoProtect USA</title>

    <link href="https://fonts.googleapis.com/css2?family=Hind:wght@300;400;500;600;700&display=swap" rel="stylesheet">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css">

    <!-- vendor css -->
    <link href="{{asset('public/app/lib/font-awesome/css/font-awesome.css')}}" rel="stylesheet">
    <link href="{{asset('public/app/lib/Ionicons/css/ionicons.css')}}" rel="stylesheet">
    <link href="{{asset('public/app/lib/select2/css/select2.min.css')}}" rel="stylesheet">
    <link href="{{asset('public/app/lib/datatables/css/jquery.dataTables.css')}}" rel="stylesheet">
    <link href="{{asset('public/app/lib/fullcalendar/css/fullcalendar.css')}}" rel="stylesheet">
    <link rel="stylesheet" href="{{asset('css/custom.css')}}">
    <!-- Slim CSS -->

    <link rel="stylesheet" href="{{asset('public/app/css/slim.css')}}">


  </head>
  <body>
  
 <div class="slim-header">
      <div class="container">
        <div class="slim-header-left">
          <h2 class="slim-logo"><a href="#"><img src="{{asset('images/logo.png') }}" width="" height="" alt="Site Logo"></a></h2>

      
        </div><!-- slim-header-left -->
        <div class="slim-header-right">
          
          
          <div class="dropdown dropdown-c">
            <a href="#" class="logged-user" data-toggle="dropdown">
              <img src="{{asset('public/images/uploads/avatars/'.Auth::user()->avatar)}}" alt="">
              <span>{{ Auth::user()->name }}</span>
              <i class="fa fa-angle-down"></i>
            </a>
            <div class="dropdown-menu dropdown-menu-right">
              <nav class="nav">
                <a href="{{ route('profile') }}" class="nav-link"><i class="icon ion-person"></i> View Profile</a>
                @if(Auth::user()->type == 'admin')
                <a href="{{ route('user.index') }}" class="nav-link"><i class="icon ion-compose"></i> Users</a>
                <a href="https://vsctools.dev/admin/login.php?email={{ Auth::user()->email }}" target="_blank" class="nav-link"><i class="icon ion-link"></i> Ytel Roster </a>
                @endif
                <!--<a href="page-activity.html" class="nav-link"><i class="icon ion-ios-bolt"></i> Activity Log</a>
                <a href="page-settings.html" class="nav-link"><i class="icon ion-ios-gear"></i> Account Settings</a>-->
                <form method="POST" action="{{ route('logout') }}">
                @csrf
            <a href="javascript:void(0);" onclick="event.preventDefault(); this.closest('form').submit();" class="nav-link"><i class="icon ion-forward"></i>  {{ __('Logout') }}</a>
                </form>
              </nav>
            </div><!-- dropdown-menu -->
          </div><!-- dropdown -->
        </div><!-- header-right -->
      </div><!-- container -->
    </div><!-- slim-header -->

resources/views/common/navbar.blade.php
<div class="slim-navbar">
      <div class="container">
        <ul class="nav">
          <li class="nav-item with-sub">
            <a class="nav-link nav-base" href="{{Route('dashboard')}}" name="dashboard">
              <i class="icon ion-ios-home-outline"></i>
              <span>Dashboard</span>
            </a>
        
          </li>
          <li class="nav-item with-sub mega-dropdown">

            <a class="nav-link" href="#" name="saleslogs">

              <i class="icon ion-ios-filing-outline"></i>
              <span>Saleslogs</span>
            </a>
            <div class="sub-item">
              <ul>
                <li><a href="{{Route('saleslogs')}}">Sales</a></li>
                <li><a href="{{Route('wholesaleslogs')}}">WholeSales</a></li>
              </ul>
            </div><!-- sub-item -->
          </li>
          <li class="nav-item with-sub mega-dropdown">

            <a class="nav-link" href="#">

              <i class="icon ion-ios-filing-outline"></i>
              <span>Calls</span>
            </a>
            
          </li>
          <li class="nav-item with-sub mega-dropdown">

            <a class="nav-link" href="#">

              <i class="icon ion-ios-filing-outline"></i>
              <span>Otherlogs</span>
            </a>
            
          </li>
         
        
         
        </ul>
      </div><!-- container -->
    </div><!-- slim-navbar -->